Example Request
curl --request GET \ --url https://sekalipay.com/api/v1/trx/TRX-001 \ --header 'X-APIKEY: YOUR_API_KEY'
Auto Product Response
200 OK
{
"message": "OK",
"data": {
"id": 99899,
"ref_id": "TRX-20260210-001",
"invoice": "SPY1770673917X5",
"payment_method": "saldo",
"status": "completed",
"price": 50000,
"fees": null,
"amount": 50000,
"items": [{
"variant_id": 8,
"variant_name": "1 Tahun",
"product_name": "Spotify",
"product_license": "[email protected]|pass",
"price": 50000,
"order_process": "auto"
}]
},
"h2h_results": [],
"smm_results": []
}
H2H (Pulsa) Response
{
"message": "OK",
"data": {
"id": 99900,
"ref_id": "TRX-002",
"invoice": "SPY1770673917X6",
"payment_method": "saldo",
"status": "completed",
"price": 10000,
"fees": null,
"amount": 10000,
"items": [{
"variant_id": 101,
"variant_name": "Telkomsel 10K",
"product_name": "Telkomsel",
"product_license": null,
"price": 10000,
"qty": 1,
"note": "08123456789",
"order_process": "h2h"
}]
},
"h2h_results": [{
"variant_id": 101,
"sn": "SN123456789",
"dispatch_status": "completed",
"log_message": "Transaksi Sukses"
}],
"smm_results": []
}
H2H Failed Response
{
"message": "OK",
"data": {
"id": 99902,
"ref_id": "TRX-004",
"status": "failed",
"items": [{
"variant_id": 102,
"variant_name": "Pulsa 5K",
"note": "08123456789",
"order_process": "h2h"
}]
},
"h2h_results": [{
"variant_id": 102,
"sn": "failed: Nomor tidak valid",
"dispatch_status": "failed"
}],
"smm_results": []
}
SMM Response
{
"message": "OK",
"data": {
"id": 99901,
"ref_id": "TRX-003",
"invoice": "SPY1770673917X7",
"payment_method": "saldo",
"status": "completed",
"price": 25000,
"fees": null,
"amount": 25000,
"items": [{
"variant_id": 201,
"variant_name": "1K Followers",
"product_name": "Instagram Followers",
"product_license": null,
"price": 25000,
"qty": 1000,
"note": "https://instagram.com/user",
"order_process": "h2h",
"is_smm": true,
"status": "processing",
"provider_status": "processing"
}]
},
"h2h_results": [],
"smm_results": [{
"variant_id": 201,
"order_id": "98765",
"status": "processing",
"provider_status": "processing",
"start_count": 5000,
"remains": 350,
"delivered_count": 650,
"refund_amount": null,
"partial_refund_pending_manual": false
}]
}
SMM Completed Response
{
"message": "OK",
"data": {
"id": 99901,
"ref_id": "TRX-003",
"status": "completed",
"items": [{
"variant_id": 201,
"variant_name": "1K Followers",
"order_process": "h2h",
"is_smm": true,
"status": "completed"
}]
},
"h2h_results": [],
"smm_results": [{
"variant_id": 201,
"order_id": "98765",
"status": "completed",
"provider_status": "success",
"start_count": 5000,
"remains": 0,
"delivered_count": 1000,
"refund_amount": null,
"partial_refund_pending_manual": false
}]
}
Not Found Response
404 NOT FOUND
{
"message": "TRX_NOT_FOUND"
}